IBM X3550 M2 or X3650 M2 and Debian/Ubuntu

We’ve been long time IBM hardware users. In general we love IBM hardware, it’s rock solid and just runs and runs. Being able to get 24×7 support contracts with a 4 hour response time for someone with replacement parts to be on site in case of a problem is great as well.

However IBM also have a down side. Often their Linux support is limited to Redhat and SUSE installs and the kernels that go with them. In some cases that means that they only distribute binary blob drivers which only work with the particular kernel and version distributed by Redhat/SUSE. Because we like to use Debian Linux, and also to compile our own kernels from source with just the modules and features we need, a binary blob driver or a driver that only works with Redhat/SUSE kernels is unacceptable for us.

We discovered this problem the hard way with our first X3550 purchase, which came with a ServeRAID 8k-i controller. It turns out that controller was based on some LSI “fakeraid” chipset which needed a binary blob driver (can’t find the link right now) and thus we couldn’t get it to work sanely. We ended up returning the machines.

On the other hand, the ServeRAID 8k controller (note the difference, not the –i version) is actually completely different, and works fine with any Linux kernel with the vanilla open source AACRAID driver. We’ve bought almost a dozen machines with the 8k controller and they’ve all worked really well.

Now however, the X3550 and X3650 machines have been replaced by the newer X3550 M2 and X3650 M2 models, which update the CPUs and motherboards to use the newer Nehalem based CPUs, as well as replacing all the available ServeRAID controller options with new ones again :(

  • ServeRAID-BR10i SAS/SATA Controller (3577)
  • ServeRAID M5014 SAS/SATA Controller (3877)
  • ServeRAID M5015 SAS/SATA Controller (Battery not included) (0093)
  • ServeRAID-MR10i SAS/SATA Controller (3571)

We’re having trouble finding much information about any of these controllers, and what support there is in the vanilla Linux kernel for any of these controllers. If anyone has some good information about vanilla Linux for these controllers (or lack there of), please email me at robm@fastmail.fm

Update: Someone from the IBM Linux Technology  Center passed on the following useful information to us that others might also find useful.

  • ServeRAID-BR10i SAS/SATA Controller (3577)

    LSI 1068[E] support has been upstream prior to 2.6.14 which means that this controller is support by all newer Ubuntu versions. The driver for this card is mptsas.

  • ServeRAID M5014 SAS/SATA Controller (3877) / ServeRAID M5015 SAS/SATA Controller (Battery not included) (0093)

    Both of these are supported by the same megaraid_sas driver which went upstream in 2.6.27 (megaraid_sas version: v00.00.04.01-rc1 or newer), which means these controllers are supported by Ubuntu 9.04 (based off 2.6.28)

  • ServeRAID-MR10i SAS/SATA Controller (3571)

    LSI 1078 support has been upstream sinse 2.6.16 which means this controller is also supported by all newer Ubuntu releases. The driver for this card is megaraid_sas (v00.00.02.04 or newer)

Posted in Technical. Comments Off
Follow

Get every new post delivered to your Inbox.

Join 5,255 other followers

%d bloggers like this: